<!DOCTYPE html>
<html>

<head>

<meta charset="utf-8" />
<title>10</title>

<link rel="stylesheet" href="../../../style.css" type="text/css" />

<link rel="stylesheet" href="../../../navbar.css" type="text/css" />


<link rel="stylesheet" href="../../../local.css" type="text/css" />










</head>
<body>

<article class="page">

<section class="pageheader">
<header class="header" style="width: 100%">
<span style="width: 50px; float: left; padding-right: 10px;">
<img src="../../../images/logo-debian.png" width="50" height="61">
</span>
<span style="float: right; width: 147px; padding-left: 10px;">
<a href="http://lca2015.linux.org.au"><img src="../../../images/logo-lca2015.png" style="padding-right: 10px;"></a>
</span>
<span style="float: left;">
<span class="parentlinks">


<a href="../../../">LCA2015 Debian Miniconf & NZ2015 mini-DebConf</a>/ 

<a href="../../">archives</a>/ 

<a href="../">2014</a>/ 


</span>
<span class="title">
10

</span>
</span>



</header>









</section>



<aside class="sidebar">


<div><div class="calendar"><table class="month-calendar">
    <tr>
    <th class="month-calendar-arrow"><a href="../09/" title="September">&larr;</a></th>
    <th class="month-calendar-head" colspan="5"><span class="selflink">Oct 2014</span></th>
    <th class="month-calendar-arrow"><a href="../11/" title="November">&rarr;</a></th>
    </tr>
    <tr>
        <th class="month-calendar-day-head Sunday" title="Sunday">S</th>
        <th class="month-calendar-day-head Monday" title="Monday">M</th>
        <th class="month-calendar-day-head Tuesday" title="Tuesday">T</th>
        <th class="month-calendar-day-head Wednesday" title="Wednesday">W</th>
        <th class="month-calendar-day-head Thursday" title="Thursday">T</th>
        <th class="month-calendar-day-head Friday" title="Friday">F</th>
        <th class="month-calendar-day-head Saturday" title="Saturday">S</th>
    </tr>
    <tr>
        <td class="month-calendar-day-noday Sunday">&nbsp;</td>
        <td class="month-calendar-day-noday Monday">&nbsp;</td>
        <td class="month-calendar-day-noday Tuesday">&nbsp;</td>
        <td class="month-calendar-day-nolink Wednesday">1</td>
        <td class="month-calendar-day-nolink Thursday">2</td>
        <td class="month-calendar-day-nolink Friday">3</td>
        <td class="month-calendar-day-nolink Saturday">4</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">5</td>
        <td class="month-calendar-day-nolink Monday">6</td>
        <td class="month-calendar-day-nolink Tuesday">7</td>
        <td class="month-calendar-day-nolink Wednesday">8</td>
        <td class="month-calendar-day-nolink Thursday">9</td>
        <td class="month-calendar-day-nolink Friday">10</td>
        <td class="month-calendar-day-nolink Saturday">11</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">12</td>
        <td class="month-calendar-day-link Monday"><div class="popup">13<div class="balloon"><ul>
            <li><a href="../../../ikiwiki/wikilink/" title="wikilink">wikilink</a></li>
        </ul></div></div></td>
        <td class="month-calendar-day-nolink Tuesday">14</td>
        <td class="month-calendar-day-link Wednesday"><div class="popup">15<div class="balloon"><ul>
            <li><a href="../../../images/CatalystLogoWithTagline_200x100.png" title="CatalystLogoWithTagline 200x100.png">CatalystLogoWithTagline 200x100.png</a></li>
        </ul></div></div></td>
        <td class="month-calendar-day-nolink Thursday">16</td>
        <td class="month-calendar-day-link Friday"><div class="popup">17<div class="balloon"><ul>
            <li><a href="../../../ikiwiki/formatting/" title="Formatting wiki pages">Formatting wiki pages</a></li>
            <li><a href="../../../ikiwiki/pagespec/sorting/" title="sorting">sorting</a></li>
            <li><a href="../../../style.css" title="style.css">style.css</a></li>
            <li><a href="../../../ikiwiki/markdown/" title="markdown">markdown</a></li>
            <li><a href="../../../ikiwiki/directive/" title="directive">directive</a></li>
        </ul></div></div></td>
        <td class="month-calendar-day-nolink Saturday">18</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">19</td>
        <td class="month-calendar-day-nolink Monday">20</td>
        <td class="month-calendar-day-nolink Tuesday">21</td>
        <td class="month-calendar-day-nolink Wednesday">22</td>
        <td class="month-calendar-day-nolink Thursday">23</td>
        <td class="month-calendar-day-nolink Friday">24</td>
        <td class="month-calendar-day-nolink Saturday">25</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">26</td>
        <td class="month-calendar-day-nolink Monday">27</td>
        <td class="month-calendar-day-nolink Tuesday">28</td>
        <td class="month-calendar-day-nolink Wednesday">29</td>
        <td class="month-calendar-day-nolink Thursday">30</td>
        <td class="month-calendar-day-nolink Friday">31</td>
        <td class="month-calendar-day-noday Saturday">&nbsp;</td>
    </tr>
</table>
</div></div>


</aside>



<nav id="navbar">
<!-- The navbar -->
<div class="navbar">



<div class="tabs">
 <ul>
  <li><a href="../../../"><span>Home</span></a></li>
  <li><a href="../../../About_Us/"><span>About Us</span></a></li>
  <li><a href="../../../Programme/"><span>Programme</span></a></li>
  <li><a href="../../../Accommodation/"><span>Accommodation</span></a></li>
  <li><a href="../../../Call_for_Presentations/"><span>CFP</span></a></li>
  <li><a href="../../../posts/"><span>Blog</span></a></li>
 </ul>
</div>

</div>
<span class="endNavbar"></span>
<!-- end of navbar -->

<section id="sponsors">
<h1>Sponsors</h2>
<a href="http://www.catalyst.net.nz"><img alt="Catalyst Logo" src="../../../images/CatalystLogoWithTagline_130w.png" width="130" height="65"></a>
</section>
</nav>


<div id="pagebody">

<section id="content" role="main">


<article class="inlinepage">

<section class="inlineheader">

<header class="header">

<a href="../../../ikiwiki/wikilink/">wikilink</a>

</header>
</section>

<section class="inlinecontent">
<p>WikiLinks provide easy linking between pages of the wiki. To create a
<a href="../../../ikiwiki/wikilink/">WikiLink</a>, just put the name of the page to link to in double brackets.
For example <code>[[WikiLink]]</code>.</p>

<p>If you ever need to write something like <code>[[WikiLink]]</code> without creating a
wikilink, just prefix it with a <code>\</code>, like <code>\[[WikiLink]]</code>.</p>

<p>There are some special <a href="../../../ikiwiki/subpage/linkingrules/">LinkingRules</a> that come into play when
linking between <a href="../../../ikiwiki/subpage/">SubPages</a>.</p>

<p>WikiLinks are matched with page names in a case-insensitive manner, so you
don't need to worry about getting the case the same, and can capitalise
links at the start of a sentence, and so on.</p>

<p>It's also possible to write a WikiLink that uses something other than the page
name as the link text. For example <code>[[foo_bar|SandBox]]</code> links to the SandBox
page, but the link will appear like this: <a href="../../../sandbox/">foo bar</a>.</p>

<p>To link to an anchor inside a page, you can use something like
<code>[[WikiLink#foo]]</code> .</p>

<p>If the file linked to by a WikiLink looks like an image, it will
be displayed inline on the page.</p>

<hr />

<p>You can also put an url in a WikiLink, to link to an external page.
Email addresses can also be used to generate a mailto link.</p>

</section>



<footer class="inlinefooter">

<span class="pagedate">
Posted <time datetime="2014-10-12T16:33:35Z" pubdate="pubdate">Mon 13 Oct 2014 05:33:35 NZDT</time>
</span>









</footer>

</article>
<article class="inlinepage">

<section class="inlineheader">

<header class="header">

<a href="../../../images/CatalystLogoWithTagline_200x100.png">CatalystLogoWithTagline 200x100.png</a>

</header>
</section>

<section class="inlinecontent">

</section>



<footer class="inlinefooter">

<span class="pagedate">
Posted <time datetime="2014-10-15T08:42:38Z" pubdate="pubdate">Wed 15 Oct 2014 21:42:38 NZDT</time>
</span>









</footer>

</article>
<article class="inlinepage">

<section class="inlineheader">

<header class="header">

<a href="../../../ikiwiki/formatting/">Formatting wiki pages</a>

</header>
</section>

<section class="inlinecontent">
<p>Text on this wiki is, by default, written in a form very close to how you
might write text for an email message. This style of text formatting is
called <a href="../../../ikiwiki/markdown/">MarkDown</a>, and it works like this:</p>

<p>Leave blank lines between paragraphs.</p>

<p>You can <em>*emphasise*</em> or <strong>**strongly emphasise**</strong> text by placing it
in single or double asterisks.</p>

<p>To create a list, start each line with an asterisk:</p>

<ul>
<li>"* this is my list"</li>
<li>"* another item"</li>
</ul>


<p>To make a numbered list, start each line with a number (any number will
do) followed by a period:</p>

<ol>
<li>"1. first line"</li>
<li>"2. second line"</li>
<li>"2. third line"</li>
</ol>


<p>To create a header, start a line with one or more <code>#</code> characters followed
by a space and the header text. The number of <code>#</code> characters controls the
size of the header:</p>

<h1># h1</h1>

<h2>## h2</h2>

<h3>### h3</h3>

<h4>#### h4</h4>

<h5>##### h5</h5>

<h6>###### h6</h6>

<p>To create a horizontal rule, just write three or more dashes or stars on
their own line:</p>

<hr />

<p>To quote someone, prefix the quote with "&gt;":</p>

<blockquote><p>To be or not to be,
that is the question.</p></blockquote>

<p>To write a code block, indent each line with a tab or 4 spaces:</p>

<pre><code>10 PRINT "Hello, world!"
20 GOTO 10
</code></pre>

<p>To link to an url or email address, you can just put the
url in angle brackets: &lt;<a href="http://ikiwiki.info">http://ikiwiki.info</a>&gt;, or you can use the
form [link text](url)</p>

<hr />

<p>In addition to basic html formatting using <a href="../../../ikiwiki/markdown/">MarkDown</a>, this wiki lets
you use the following additional features:</p>

<ul>
<li><p>To link to another page on the wiki, place the page's name inside double
square brackets. So you would use <code>[[WikiLink]]</code> to link to <a href="../../../ikiwiki/wikilink/">WikiLink</a>.</p></li>
<li><p>Insert <a href="../../../smileys/">smileys</a> and some other useful symbols. <img src="../../../smileys/smile.png" alt=":-)" /></p></li>
<li><p>Use <a href="../../../shortcuts/">shortcuts</a> to link to common resources.</p>

<p>  [[!wikipedia  War_of_1812]]</p></li>
<li><p>Create and fill out <a href="../../../templates/">templates</a> for repeated chunks of
parameterized wiki text.</p></li>
<li><p>Insert various <a href="../../../ikiwiki/directive/">directives</a> onto a page to perform useful
actions.
For example, you can:</p>

<ul>
<li><p>Add a table of contents to a page:</p>

<p>[[!toc ]]</p></li>
<li><p>Change the title of a page:</p>

<p>[[!meta  title="full page title"]]</p></li>
<li><p>Create a blog by inlining a set of pages:</p>

<p>[[!inline  pages="blog/*"]]</p></li>
</ul>
</li>
</ul>


</section>



<footer class="inlinefooter">

<span class="pagedate">
Posted <time datetime="2014-10-16T11:21:17Z" pubdate="pubdate">Fri 17 Oct 2014 00:21:17 NZDT</time>
</span>









</footer>

</article>
<article class="inlinepage">

<section class="inlineheader">

<header class="header">

<a href="../../../ikiwiki/pagespec/sorting/">sorting</a>

</header>
</section>

<section class="inlinecontent">
<p>Some <a href="../../../ikiwiki/directive/">directives</a> that use
<a href="../../../ikiwiki/pagespec/">PageSpecs</a> allow
specifying the order that matching pages are shown in. The following sort
orders can be specified.</p>

<ul>
<li><p><code>age</code> - List pages from the most recently created to the oldest.</p></li>
<li><p><code>mtime</code> - List pages with the most recently modified first.</p></li>
<li><p><code>title</code> - Order by title (page name), e.g. "z/a a/b a/c"</p></li>
<li><p><code>path</code> - Order by page name including parents, e.g. "a/b a/c z/a"</p></li>
<li><p><code>meta(title)</code> - Order according to the <code>[[!meta  title="foo" sortas="bar"]]</code>
or <code>[[!meta  title="foo"]]</code> <a href="../../../ikiwiki/directive/">directive</a>, or the page name if no
full title was set. <code>meta(author)</code>, <code>meta(date)</code>, <code>meta(updated)</code>, etc.
also work.</p></li>
</ul>


<p>In addition, you can combine several sort orders and/or reverse the order of
sorting, with a string like <code>age -title</code> (which would sort by age, then by
title in reverse order if two pages have the same age).</p>

</section>



<footer class="inlinefooter">

<span class="pagedate">
Posted <time datetime="2014-10-16T11:21:17Z" pubdate="pubdate">Fri 17 Oct 2014 00:21:17 NZDT</time>
</span>









</footer>

</article>
<article class="inlinepage">

<section class="inlineheader">

<header class="header">

<a href="../../../ikiwiki/markdown/">markdown</a>

</header>
</section>

<section class="inlinecontent">
<p><a href="http://daringfireball.net/projects/markdown/">Markdown</a>
is a minimal markup language that resembles plain text as used in
email messages. It is the markup language used by this wiki by default.</p>

<p>For documentation about the markdown syntax, see <a href="../../../ikiwiki/formatting/">formatting</a> and
<a href="http://daringfireball.net/projects/markdown/syntax">Markdown: syntax</a>.</p>

<p>Note that <a href="../../../ikiwiki/wikilink/">WikiLinks</a> and <a href="../../../ikiwiki/directive/">directives</a> are not part
of the markdown syntax, and are the only bit of markup that this wiki
handles internally.</p>

</section>



<footer class="inlinefooter">

<span class="pagedate">
Posted <time datetime="2014-10-16T11:21:17Z" pubdate="pubdate">Fri 17 Oct 2014 00:21:17 NZDT</time>
</span>









</footer>

</article>
<article class="inlinepage">

<section class="inlineheader">

<header class="header">

<a href="../../../ikiwiki/directive/">directive</a>

</header>
</section>

<section class="inlinecontent">
<p>Directives are similar to a <a href="../../../ikiwiki/wikilink/">WikiLink</a> in form, except they
begin with <code>!</code> and may contain parameters. The general form is:</p>

<pre><code>[[!directive  param="value" param="value"]]
</code></pre>

<p>This gets expanded before the rest of the page is processed, and can be used
to transform the page in various ways.</p>

<p>The quotes around values can be omitted if the value is a simple word.
Also, some directives may use parameters without values, for example:</p>

<pre><code>[[!tag  foo]]
</code></pre>

<p>A directive does not need to all be on one line, it can be
wrapped to multiple lines if you like:</p>

<pre><code>[[!directive  foo="baldersnatch"
bar="supercalifragilisticexpialidocious" baz=11]]
</code></pre>

<p>Also, multiple lines of <em>quoted</em> text can be used for a value.
To allow quote marks inside the quoted text, delimit the block
of text with triple-double-quotes or triple-single-quotes:</p>

<pre><code>[[!directive  text="""
1. "foo"
2. "bar"
3. "baz"
""" othertext='''
1. 'quux'
2. "foo"
''']]
</code></pre>

<p>If you want to put text with triple quotes into a parameter value, you can
use perl-style here-doc syntax, even nesting it like this:</p>

<pre><code>[[!directive  text=&lt;&lt;OUTER
[[!otherdirective &lt;&lt;INNER
inner text
INNER]]
outer text
OUTER]]
</code></pre>

<p>ikiwiki also has an older syntax for directives, which requires a space in
directives to distinguish them from <a href="../../../ikiwiki/wikilink/">wikilinks</a>. This
syntax has several disadvantages: it requires a space after directives with
no parameters (such as <code>[[pagecount ]]</code>), and it prohibits spaces in
<a href="../../../ikiwiki/wikilink/">wikilinks</a>.  ikiwiki now provides the <code>!</code>-prefixed
syntax shown above as default.  However, ikiwiki still supports wikis using
the older syntax, if the <code>prefix_directives</code> option is disabled.</p>

</section>



<footer class="inlinefooter">

<span class="pagedate">
Posted <time datetime="2014-10-16T11:21:17Z" pubdate="pubdate">Fri 17 Oct 2014 00:21:17 NZDT</time>
</span>









</footer>

</article>
<article class="inlinepage">

<section class="inlineheader">

<header class="header">

<a href="../../../style.css">style.css</a>

</header>
</section>

<section class="inlinecontent">

</section>



<footer class="inlinefooter">

<span class="pagedate">
Posted <time datetime="2014-10-16T22:33:19Z" pubdate="pubdate">Fri 17 Oct 2014 11:33:19 NZDT</time>
</span>









</footer>

</article>





</section>







</div>

<footer id="footer" class="pagefooter" role="contentinfo">

<nav id="pageinfo">











<div class="pagedate">
Last edited <time datetime="2014-11-09T09:16:24Z">Sun 09 Nov 2014 22:16:24 NZDT</time>
<!-- Created <time datetime="2014-11-09T09:16:24Z" pubdate="pubdate">Sun 09 Nov 2014 22:16:24 NZDT</time> -->
</div>

</nav>


<!-- from LCA2015 Debian Miniconf & NZ2015 mini-DebConf -->
</footer>

</article>

</body>
</html>
